package protocol

const MatchResultPubSubChannel = "match_result"

type MatchResult struct {
	MatchCycle    string `json:"matchCycle"`
	MatchUniqueId string `json:"matchUniqueId"`
	//Total         uint32 `json:"total"`
	User1Id       uint64 `json:"user1Id"`
	User2Id       uint64 `json:"user2Id"`
	//true:正常匹配 false:落单
	Status        bool   `json:"status"`
	//1, 是正常结果，2：只有一个用户，发起工会广播
	//Type          uint32 `json:"type"`
	//user1Id的优先度分数
	Priority float64
	//user2Id的质量分数
	Excellen float64
	//user1Id同user2Id的关系分数
	Relation          float64
	ExcellentRelation float64
	//rpc状态
	RpcStatus bool
	//rpc错误信息
	RPcErr string
}

const MatchCyclePubSubChannel = "match_cycle"

//匹配周期结果
type MatchCycle struct {
	//周期
	MatchCycle string `json:"matchCycle"`
	//参与匹配的人数
	JoinNum uint32 `json:"joinNum"`
	//匹配成功的人数
	SuccessNum uint32 `json:"successNum"`
	//匹配失败的人数
	FailNum uint32 `json:"failNum"`
	//是否发出工会广播  1:广播 2：不广播
	TradeUnionBroadcast uint8 `json:"tradeUnionBroadcast"`
}
